Index: contrib/crossrpms/rtems4.10/arm/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/arm/gcc-sources.add	(revision 56a5a835b40da96aa12e8d393c58755dfb4cfa21)
+++ contrib/crossrpms/rtems4.10/arm/gcc-sources.add	(revision eb2d0ff4b26e51e0608bbc5aad89e75e7dac0b6a)
@@ -1,18 +1,18 @@
-%if "%{gcc_version}" == "4.3.3"
-Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
-%endif
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090421.diff
 %endif
+%if "%{gcc_version}" == "4.4.1"
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090717.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.3.3" 
+%if "%{gcc_version}" == "4.4.0" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
-%if "%{gcc_version}" == "4.4.0" 
-Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%if "%{gcc_version}" == "4.4.1" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.10/avr/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/avr/gcc-sources.add	(revision 56a5a835b40da96aa12e8d393c58755dfb4cfa21)
+++ contrib/crossrpms/rtems4.10/avr/gcc-sources.add	(revision eb2d0ff4b26e51e0608bbc5aad89e75e7dac0b6a)
@@ -1,18 +1,18 @@
-%if "%{gcc_version}" == "4.3.3"
-Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
-%endif
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090421.diff
 %endif
+%if "%{gcc_version}" == "4.4.1"
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090717.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.3.3" 
+%if "%{gcc_version}" == "4.4.0" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
-%if "%{gcc_version}" == "4.4.0" 
-Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%if "%{gcc_version}" == "4.4.1" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.10/bfin/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/gcc-sources.add	(revision 56a5a835b40da96aa12e8d393c58755dfb4cfa21)
+++ contrib/crossrpms/rtems4.10/bfin/gcc-sources.add	(revision eb2d0ff4b26e51e0608bbc5aad89e75e7dac0b6a)
@@ -1,18 +1,18 @@
-%if "%{gcc_version}" == "4.3.3"
-Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
-%endif
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090421.diff
 %endif
+%if "%{gcc_version}" == "4.4.1"
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090717.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.3.3" 
+%if "%{gcc_version}" == "4.4.0" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
-%if "%{gcc_version}" == "4.4.0" 
-Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%if "%{gcc_version}" == "4.4.1" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.10/h8300/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/gcc-sources.add	(revision 56a5a835b40da96aa12e8d393c58755dfb4cfa21)
+++ contrib/crossrpms/rtems4.10/h8300/gcc-sources.add	(revision eb2d0ff4b26e51e0608bbc5aad89e75e7dac0b6a)
@@ -1,18 +1,18 @@
-%if "%{gcc_version}" == "4.3.3"
-Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
-%endif
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090421.diff
 %endif
+%if "%{gcc_version}" == "4.4.1"
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090717.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.3.3" 
+%if "%{gcc_version}" == "4.4.0" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
-%if "%{gcc_version}" == "4.4.0" 
-Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%if "%{gcc_version}" == "4.4.1" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.10/i386/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/i386/gcc-sources.add	(revision 56a5a835b40da96aa12e8d393c58755dfb4cfa21)
+++ contrib/crossrpms/rtems4.10/i386/gcc-sources.add	(revision eb2d0ff4b26e51e0608bbc5aad89e75e7dac0b6a)
@@ -1,18 +1,18 @@
-%if "%{gcc_version}" == "4.3.3"
-Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
-%endif
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090421.diff
 %endif
+%if "%{gcc_version}" == "4.4.1"
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090717.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.3.3" 
+%if "%{gcc_version}" == "4.4.0" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
-%if "%{gcc_version}" == "4.4.0" 
-Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%if "%{gcc_version}" == "4.4.1" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.10/lm32/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/gcc-sources.add	(revision 56a5a835b40da96aa12e8d393c58755dfb4cfa21)
+++ contrib/crossrpms/rtems4.10/lm32/gcc-sources.add	(revision eb2d0ff4b26e51e0608bbc5aad89e75e7dac0b6a)
@@ -1,18 +1,18 @@
-%if "%{gcc_version}" == "4.3.3"
-Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
-%endif
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090421.diff
 %endif
+%if "%{gcc_version}" == "4.4.1"
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090717.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.3.3" 
+%if "%{gcc_version}" == "4.4.0" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
-%if "%{gcc_version}" == "4.4.0" 
-Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%if "%{gcc_version}" == "4.4.1" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.10/m32c/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/gcc-sources.add	(revision 56a5a835b40da96aa12e8d393c58755dfb4cfa21)
+++ contrib/crossrpms/rtems4.10/m32c/gcc-sources.add	(revision eb2d0ff4b26e51e0608bbc5aad89e75e7dac0b6a)
@@ -1,18 +1,18 @@
-%if "%{gcc_version}" == "4.3.3"
-Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
-%endif
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090421.diff
 %endif
+%if "%{gcc_version}" == "4.4.1"
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090717.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.3.3" 
+%if "%{gcc_version}" == "4.4.0" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
-%if "%{gcc_version}" == "4.4.0" 
-Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%if "%{gcc_version}" == "4.4.1" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.10/m32r/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/gcc-sources.add	(revision 56a5a835b40da96aa12e8d393c58755dfb4cfa21)
+++ contrib/crossrpms/rtems4.10/m32r/gcc-sources.add	(revision eb2d0ff4b26e51e0608bbc5aad89e75e7dac0b6a)
@@ -1,18 +1,18 @@
-%if "%{gcc_version}" == "4.3.3"
-Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
-%endif
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090421.diff
 %endif
+%if "%{gcc_version}" == "4.4.1"
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090717.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.3.3" 
+%if "%{gcc_version}" == "4.4.0" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
-%if "%{gcc_version}" == "4.4.0" 
-Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%if "%{gcc_version}" == "4.4.1" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.10/m68k/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/gcc-sources.add	(revision 56a5a835b40da96aa12e8d393c58755dfb4cfa21)
+++ contrib/crossrpms/rtems4.10/m68k/gcc-sources.add	(revision eb2d0ff4b26e51e0608bbc5aad89e75e7dac0b6a)
@@ -1,18 +1,18 @@
-%if "%{gcc_version}" == "4.3.3"
-Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
-%endif
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090421.diff
 %endif
+%if "%{gcc_version}" == "4.4.1"
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090717.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.3.3" 
+%if "%{gcc_version}" == "4.4.0" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
-%if "%{gcc_version}" == "4.4.0" 
-Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%if "%{gcc_version}" == "4.4.1" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.10/mips/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/mips/gcc-sources.add	(revision 56a5a835b40da96aa12e8d393c58755dfb4cfa21)
+++ contrib/crossrpms/rtems4.10/mips/gcc-sources.add	(revision eb2d0ff4b26e51e0608bbc5aad89e75e7dac0b6a)
@@ -1,18 +1,18 @@
-%if "%{gcc_version}" == "4.3.3"
-Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
-%endif
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090421.diff
 %endif
+%if "%{gcc_version}" == "4.4.1"
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090717.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.3.3" 
+%if "%{gcc_version}" == "4.4.0" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
-%if "%{gcc_version}" == "4.4.0" 
-Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%if "%{gcc_version}" == "4.4.1" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.10/powerpc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/gcc-sources.add	(revision 56a5a835b40da96aa12e8d393c58755dfb4cfa21)
+++ contrib/crossrpms/rtems4.10/powerpc/gcc-sources.add	(revision eb2d0ff4b26e51e0608bbc5aad89e75e7dac0b6a)
@@ -1,18 +1,18 @@
-%if "%{gcc_version}" == "4.3.3"
-Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
-%endif
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090421.diff
 %endif
+%if "%{gcc_version}" == "4.4.1"
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090717.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.3.3" 
+%if "%{gcc_version}" == "4.4.0" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
-%if "%{gcc_version}" == "4.4.0" 
-Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%if "%{gcc_version}" == "4.4.1" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.10/sh/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sh/gcc-sources.add	(revision 56a5a835b40da96aa12e8d393c58755dfb4cfa21)
+++ contrib/crossrpms/rtems4.10/sh/gcc-sources.add	(revision eb2d0ff4b26e51e0608bbc5aad89e75e7dac0b6a)
@@ -1,18 +1,18 @@
-%if "%{gcc_version}" == "4.3.3"
-Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
-%endif
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090421.diff
 %endif
+%if "%{gcc_version}" == "4.4.1"
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090717.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.3.3" 
+%if "%{gcc_version}" == "4.4.0" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
-%if "%{gcc_version}" == "4.4.0" 
-Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%if "%{gcc_version}" == "4.4.1" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.10/sparc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/gcc-sources.add	(revision 56a5a835b40da96aa12e8d393c58755dfb4cfa21)
+++ contrib/crossrpms/rtems4.10/sparc/gcc-sources.add	(revision eb2d0ff4b26e51e0608bbc5aad89e75e7dac0b6a)
@@ -1,18 +1,18 @@
-%if "%{gcc_version}" == "4.3.3"
-Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.3.3-rtems4.10-20090125.diff
-%endif
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090421.diff
 %endif
+%if "%{gcc_version}" == "4.4.1"
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090717.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.3.3" 
+%if "%{gcc_version}" == "4.4.0" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
-%if "%{gcc_version}" == "4.4.0" 
-Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%if "%{gcc_version}" == "4.4.1" 
+Source1:        ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %{?_without_sources:NoSource:	1}
